#
# spec file for package xlogo
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xlogo
Version:        1.0.6
Release:        1.5
Summary:        X Window System logo
License:        X11
Group:          System/X11/Utilities
URL:            https://xorg.freedesktop.org/
Source0:        https://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xt) >= 1.0
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6

%description
The xlogo program simply displays the X Window System logo.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc ChangeLog README.md
%{_bindir}/xlogo
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/XLogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_mandir}/man1/xlogo.1%{?ext_man}

%changelog
* Sun Nov 13 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 1.0.6
  * gitlab CI: add a basic build test
  * configure: make --with-render help string match the accepted option name
  * gitlab CI: stop requiring Signed-off-by in commits
  * Use _CONST_X_STRING to make libXt declare String as const char *
  * Fix -Wmissing-field-initializers warning
  * Add configure check and --with-xkb option for use of XkbStdBell
* Fri Dec  3 2021 Dirk Müller <dmueller@suse.com>
- modernize spec file (move license to licensedir)
* Mon Mar  4 2019 Fabian Baumanis <fabian.baumanis@suse.com>
- Update to version 1.0.5:
  This release fixes a bug in which you had to hit "q" then "Escape" to exit,
  and collects several years worth of janitorial maintenance.
* Thu Feb  6 2014 sndirsch@suse.com
- fixed license to X11 in specfile
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Require xt >= 1.0 for appdefaultdir.
  + Build system fixes.
  + Bugs fixed: fdo#37237, fdo#31645
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xlogo from xorg-x11. Initial version: 1.0.3.
